#include <iostream>
#include <cstdio>
#include <cstring>

using namespace std;

const int MAXM = 2000006;
const int MAXN = 305;
int T, n, k, m;
int a[MAXM], stk[MAXN];

int main() {
	freopen("meow.in", "r", stdin);
	freopen("meow.out", "w", stdout);
	
	return 0;
}